summaryrefslogtreecommitdiff
path: root/release/scripts
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>1996-02-11 00:16:21 +0000
committercvs2svn <cvs2svn@FreeBSD.org>1996-02-11 00:16:21 +0000
commit5dc5f556f502e3b7bd6377dc3598f07312c0750d (patch)
treea5f02ed80c0a4f7c016bf9e60d0d0ad49fd1dbd5 /release/scripts
parente19063fc8d3ea125d176b670866d219cf830f176 (diff)
Notes
Diffstat (limited to 'release/scripts')
-rwxr-xr-xrelease/scripts/bin-install.sh12
-rwxr-xr-xrelease/scripts/doc-install.sh12
2 files changed, 24 insertions, 0 deletions
diff --git a/release/scripts/bin-install.sh b/release/scripts/bin-install.sh
new file mode 100755
index 000000000000..8fab5c2bad19
--- /dev/null
+++ b/release/scripts/bin-install.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+if [ "`id -u`" != "0" ]; then
+ echo "Sorry, this must be done as root."
+ exit 1
+fi
+echo "You are about to extract the base distribution into / - are you SURE"
+echo -n "you want to do this over your installed system (y/n)? "
+read ans
+if [ "$ans" = "y" ]; then
+ cat bin.?? | tar --unlink -xpzf - -C /
+fi
diff --git a/release/scripts/doc-install.sh b/release/scripts/doc-install.sh
new file mode 100755
index 000000000000..371312cdc6c2
--- /dev/null
+++ b/release/scripts/doc-install.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+if [ "`id -u`" != "0" ]; then
+ echo "Sorry, this must be done as root."
+ exit 1
+fi
+echo "You are about to extract the doc distribution into / - are you SURE"
+echo -n "you want to do this over your installed system (y/n)? "
+read ans
+if [ "$ans" = "y" ]; then
+ cat doc.?? | tar --unlink -xpzf - -C /
+fi